Mail archive
alpine-aports

[alpine-aports] [PATCH 1/3] main/perl-yaml-xs: upgrade to 0.65, modernize abuild

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 12 Jul 2017 14:56:26 +0300

---
 main/perl-yaml-xs/APKBUILD | 41 ++++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 17 deletions(-)
diff --git a/main/perl-yaml-xs/APKBUILD b/main/perl-yaml-xs/APKBUILD
index eb1f3d151b..c563d01727 100644
--- a/main/perl-yaml-xs/APKBUILD
+++ b/main/perl-yaml-xs/APKBUILD
_at_@ -1,42 +1,49 @@
-# Automatically generated by apkbuild-cpan, template 1
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Timo Teräs <timo.teras_at_iki.fi>
 # Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=perl-yaml-xs
 _pkgreal=YAML-LibYAML
-pkgver=0.64
-pkgrel=1
+pkgver=0.65
+pkgrel=0
 pkgdesc="Perl YAML Serialization using XS and libyaml"
 url="http://search.cpan.org/dist/YAML-LibYAML/"
 arch="all"
 license="GPL PerlArtistic"
-cpandepends=
-cpanmakedepends=
+cpandepends=""
+cpanmakedepends=""
+cpancheckdepends=""
 depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
 subpackages="$pkgname-doc"
 source="http://search.cpan.org/CPAN/authors/id/T/TI/TINITA/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 prepare() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
 }
 
 build() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	make
 }
 
-check() {
-	make -C "$_builddir" test
-}
-
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
-sha512sums="c8d996a9bc86e644c85fa8662b91afb75e0e9bcfeaba88b0a661ef83c9d1dfbcd4464fdba8fcc16269dc3c561c3c5257818f7f15df78bf4331ec2f91a6245faf  YAML-LibYAML-0.64.tar.gz"
+
+check() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make test
+}
+
+sha512sums="87998f9d8458476168c06e984696ac562e77f6cfc252c57a8159bb45353bacab7fa159c983275f08fcd54479d7a994feebc2568f51b564d685d99cc66ee87cf0  YAML-LibYAML-0.65.tar.gz"
-- 
2.13.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jul 12 2017 - 14:56:26 GMT